dots.v2.databases.byDatabase_cluster_uuid().pools.byPool_name().put()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).pools.byPool_name(pool_name).put(body: Connection_pool_update, requestConfiguration?: RequestConfiguration<object>): Promise<void>Description
To update a connection pool for a PostgreSQL database cluster, send a PUT request to /v2/databases/{database_cluster_uuid}/pools/{pool_name}.
Parameters
Path Parameters
database_cluster_uuidstring requiredExample:
9cc10173-e9ea-4176-9dbc-a4cee4c4ff30A unique identifier for a database cluster.
pool_namestring requiredExample:
backend-poolThe name used to identify the connection pool.
Request Body
modestring requiredExample:
transactionThe PGBouncer transaction mode for the connection pool. The allowed values are session, transaction, and statement.
sizeinteger requiredExample:
10The desired size of the PGBouncer connection pool. The maximum allowed size is determined by the size of the cluster's primary node. 25 backend server connections are allowed for every 1GB of RAM. Three are reserved for maintenance. For example, a primary node with 1 GB of RAM allows for a maximum of 22 backend server connections while one with 4 GB would allow for 97. Note that these are shared across all connection pools in a cluster.
dbstring requiredExample:
defaultdbThe database for use with the connection pool.
userstring optionalExample:
doadminThe name of the user for use with the connection pool. When excluded, all sessions connect to the database as the inbound user.
Request Sample
More Information
See /v2/databases/{database_cluster_uuid}/pools/{pool_name} in the API reference for additional detail on responses, headers, parameters, and more.